Bug 843591 - rhevm-manage-domains should not execute rhevm-config via a process, but use the java code directly
rhevm-manage-domains should not execute rhevm-config via a process, but use t...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Yair Zaslavsky
Pavel Stehlik
infra
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 13:35 EDT by Yair Zaslavsky
Modified: 2016-02-10 14:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-03 07:24:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yair Zaslavsky 2012-07-26 13:35:00 EDT
Description of problem:

Exeucting the rhevm-config code from rhevm-manage-domains using a script as an intermediate layer is bad, due to the following reasons:
1. rhevm-manage-domains consumes the output stream (stdout) of engine-config - any change to prints (due to a change in log4j configuration, for instance) can break the behavior
2. Execution takes longer - bad user experience which can be improved.


Version-Release number of selected component (if applicable):


How reproducible:

Always. This is how the code works now.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

No more usage of shell script , rhevm-manage domains should use the classes of engine-config directly.
Changing log4.xml (for example) of engine-config should not break the behavior of rhevm-manage-domains.


Additional info:
Comment 4 Yair Zaslavsky 2012-07-29 10:34:53 EDT
In reply to comment #2 and comment #3 -

You can say this is an improvement, however -
Solution architects might need to change log level of engine-config - if they do, this might break manage-domains.
Any other unexpected print - might break manage-domains.

This is a very shaky behavior.

Let's put it this way - if we don't expect solution architects to change the log4j configuration for engine-config, then I guess we can say that any other undeed print is due to  bug in the engine-config code itself (so we will have to fix it anyway).

About when to intoduce this change - I didn't think at first it is important enough for this version, but after I saw how things are shaky - I decided we should take care of it ASAP.
Comment 6 Itamar Heim 2013-02-03 07:24:44 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.